# MAVEN PARENT POM

A parent pom for all the gCube artifacts.

# Enforcements 
* Java 8 (target and source)
* OpenJDK as target Java VM.
* Maven 3.0.0+

# Build Profiles

## gcube-developer
* Dependencies resolved against gcube-snapshots and gcube-releases
* Snapshot artifacts deployed to gcube-snapshots
* Deployments of releases artifacts are not permitted

## jenkins-snapshots
* Dependencies resolved against local-snapshots and gcube-releases
* Snapshot artifacts installed to local-snapshots
* Snapshot artifacts deployed to gcube-snapshots
* Deployments of release artifacts are not permitted

## jenkins-releases
* Dependencies resolved against gcube-releases
* Deployments of snapshot artifacts are not permitted
* Release artifacts deployed to gcube-releases

## dry-run
This profile disables the deployment of the artifacts. 

## disable-java8-doclint
This profile sets an additional parameter for javadoc generation to disables the doclint. 
It avoids the build fails if formal/syntax errors are found in javadoc comments.

